:root {
    --primary: #0e75bc;
    --blue-1: #0b4d8d;
    --blue-3: #0e75bc;
    --secondary: #171818;
    --orange: #ed8532;
    --orange-2: #FFCBA5;
    --black: #000;
    --black-2: #666666;
    --black-3: #222222;
    --black-4: #999999;
    --white: #fff;
    --white-2: #F1F1F1;
    --white-3: #FFF1E7;
    --white-4: #F4F4F4;
    --white-5: #F0D4C0;
    --white-6: #F9F9F9;
    --white-7: #EFEFEF;
    --white-8: #F2F2F2;
    --white-9: #D9D9D9;
    --white-10: #E3E0DD;
    --gray: #E8E8E8;
    --gray-2: #262626;
    --gray-3: #A3A3A3;
    --gray-4: #6D6D6D;
    --gray-5: #D2D2D2;
    --gray-6: #FAFAFA;
    --gray-7: #8C8C8C;
    --focus: 2px rgb(14 117 188 / 36%);
    color: #1c78bb;
    /* text-font */
    --text-14: 14px;
    --text-15: 15px;
    --text-16: 16px;
    --text-18: 18px;
    --text-20: 20px;
    --text-22: 22px;
    --text-23: 23px;
    --text-24: 24px;
    --text-25: 25px;
    --text-30: 30px;
    --text-35: 35px;
    --text-40: 40px;
    --text-50: 50px;
    --text-55: 55px;
    --text-60: 60px;
    --text-main: 92px;
}

.echarts-tooltip {
    font-family: "FC Minimal";
    padding: 20px;
}

.echarts-tooltip__header {
    font-size: var(--text-25);
    color: #024689;
    font-weight: 500;
    margin-bottom: 10px;
}

.echarts-tooltip__volume {
    font-size: var(--text-16);
    font-weight: 600;
    color: #024689;
    margin-bottom: 10px;
}

.echarts-tooltip__last-updated {
    font-weight: 400;
}

#line {
    width: 100%!important;
    max-width: 100%!important;
    /* สำหรับการจัดการกรณีกราฟยาวมากเกินไป */
    height: 500px;
}

.box-graph-c01 {
    border: 1px solid #ccc;
    padding: 10px;
    height: 500px;
    width: 100%!important;
}

.p-l-0 {
    padding-left: 0;
}

.p-r-0 {
    padding-right: 15px;
}

.p-r-0 {
    /* padding-right: 0; */
    /* padding-right: 15px; */
}

@media (max-width:1199px) {
    .box-graph-c01 {
        height: auto;
        width: 100%;
    }
    #line {
        width: 100%;
        max-width: 100%;
        /* สำหรับการจัดการกรณีกราฟยาวมากเกินไป */
        height: 500px;
    }
    [data-zr-dom-id="zr_0"] {
        width: 100%;
        max-width: 100%;
        height: 500px;
        /* กำหนดความกว้างเป็น 100% */
        /* กำหนดความสูงเป็น 300px หรือค่าที่คุณต้องการ */
        /* ส่วนอื่นๆ ของ CSS ที่คุณต้องการใช้ในการปรับแต่ง canvas นี้ */
    }
    .p-r-0 {
        padding-right: 15px;
    }
}

@media (max-width:991px) {
    .p-l-0 {
        padding: 0;
        margin: 0 15px;
    }
    .p-r-0 {
        padding: 0
    }
}


/* //////////////////////// */

.share__info__info li {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr 30px 0.1fr 30px 1.5fr;
    grid-template-columns: 1fr 0.1fr 1.5fr;
    grid-gap: 30px;
    color: var(--black);
    font-weight: 400;
    font-size: 15px;
    padding: 20px 10px;
    border-bottom: 1px solid var(--secondary);
}

.share__info__info {
    padding: 0;
}

.share__info__info li strong {
    color: var(--secondary);
    font-weight: 400;
}

.share__table {
    /* background-color: var(--orange-2); */
    border-bottom: 3px solid var(--primary)!important;
    background-color: rgb(255 252 251 / 78%);
}

.share__table {
    /* background-color: #f1f8ff; */
    border-bottom: 3px solid var(--primary)!important;
}

.share__info__s1 {
    text-align: left;
}

.share__info__s2 {
    text-align: right;
}

.share__info__total {
    font-weight: 600;
    text-align: right;
    color: var(--black-3);
}

.line001 {
    padding: 120px 0;
}

.box__crop-grop {
    margin: 50px auto;
}

@media only screen and (max-width: 767px) {
    .line001 {
        padding: 60px calc(var(--bs-gutter-x) * 0.5) 60px calc(var(--bs-gutter-x) * 0.5);
    }
    .share__info__info li {
        -ms-grid-columns: 1fr 30px 0.1fr 30px 1.5fr;
        grid-template-columns: 2fr 0 1.5fr;
        grid-gap: 30px;
    }
}


/* ///////////////// */

.crop__form1 {
    background-color: #cae3f3;
    padding: 34px 25px;
}

.bg-bg-calculator {
    background: url(../img/bg-calculator.webp) no-repeat;
    background-size: cover;
    margin-left: -15px;
}


.crop__form2 {
    padding: 20px 30px;
    background-color: #fff;
}

.form-control:focus {
    box-shadow: 0 0 0 0.25rem rgb(241 248 255);
}

.form-group-input {
    padding: 10px 0;
}

@media only screen and (max-width: 1199px) {
    .crop__form2 {
        padding: 25px 30px 42px;
    }
    .crop__form1 {
        padding: 30px 25px 65px;
    }
}

@media only screen and (max-width: 991px) {
    .crop__form2 {
        padding: 30px 30px 40px;
    }
    .crop__form1 {
        padding: 30px 25px 15px;
    }
    .bg-bg-calculator {
        margin: auto;
    }
}


/* //////////////// */

.tex-sub-main {
    font-size: 18px;
    /*font-family: 'prompt';*/
    font-weight: 500;
}